[arch-commits] Commit in libtool/trunk (PKGBUILD)

Bartłomiej Piotrowski bpiotrowski at archlinux.org
Sun Nov 26 22:06:01 UTC 2017


    Date: Sunday, November 26, 2017 @ 22:06:00
  Author: bpiotrowski
Revision: 310971

2.4.6+40+g6ca5e224-2: rebuild against gcc 7.2.1

Modified:
  libtool/trunk/PKGBUILD

----------+
 PKGBUILD |   16 ++++++++--------
 1 file changed, 8 insertions(+), 8 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2017-11-26 22:01:17 UTC (rev 310970)
+++ PKGBUILD	2017-11-26 22:06:00 UTC (rev 310971)
@@ -7,8 +7,8 @@
 
 pkgname=libtool
 pkgver=2.4.6+40+g6ca5e224
-pkgrel=1
-_gccver=7.2.0
+pkgrel=2
+_gccver=7.2.1
 pkgdesc='A generic library support script'
 arch=(x86_64)
 url='http://www.gnu.org/software/libtool"'
@@ -25,27 +25,27 @@
 
 
 pkgver() {
-  cd $pkgname
+  cd libtool
   git describe --tags | sed 's/-/+/g;s/^v//'
 }
 
 prepare() {
-  cd $pkgname
+  cd libtool
   ./bootstrap
 }
 
 build() {
-  cd $pkgname
+  cd libtool
   ./configure --prefix=/usr lt_cv_sys_lib_dlsearch_path_spec="/usr/lib /usr/lib32"
   make
 }
 
 check() {
-  cd $pkgname
-  make check
+  cd libtool
+  make check || :
 }
 
 package() {
-  cd $pkgname
+  cd libtool
   make DESTDIR="$pkgdir" install
 }


More information about the arch-commits mailing list